Внутренняя ошибка: запрещенная комбинация текущей области и указанного поколения.

1. user1851924 18.11.22 15:46 Сейчас в теме
Добрый день! Столкнулись с такой ошибкой при запуске 1с, Изначально было написано что файл базы данных поврежден, сделали тестирование и исправление базы и появилась вот такая ошибка Невосстановимая ошибка
Ошибка при выполнении запроса POST к ресурсу /e1cib/login:
по причине:
Внутренняя ошибка: запрещенная комбинация текущей области и указанного поколения.
подскажите пожалуйста в чем может быть проблема и как ее исправить?
Ответы
Подписаться на ответы Инфостарт бот Сортировка: Древо развёрнутое
Свернуть все
7. Vitaly1C8 21.11.22 10:03 Сейчас в теме
(1)
запрещенная комбинация текущей области и указанного поколения

База файловая или SQL ?
Что именно делаете - опишите подробно !
Ошибка поколения метаданных обычно связана с динамическим обновлением (скорее всего достаточно будет - принудительно завершить все сеансы к бд, затем рестартонуть Службу, затем обновить конфу - НЕ динамически)
2. user1203706 13 18.11.22 16:11 Сейчас в теме
(1) платформа какая хоть? В пофигуратор хоть дает зайти?
3. Razlagutt 18.11.22 18:46 Сейчас в теме
(2) У меня это в конфигураторе и происходит при загрузке dt-файла.
5. user1851924 21.11.22 07:52 Сейчас в теме
6. user1851924 21.11.22 07:53 Сейчас в теме
(5)в конфигуратор не зайдешь
такая же ошибка
4. user1203706 13 18.11.22 19:05 Сейчас в теме
(3) платформа какая хоть?
11. Razlagutt 21.11.22 15:04 Сейчас в теме
(4) 1С:Предприятие 8.3 (8.3.22.1704)
8. user1203706 13 21.11.22 10:43 Сейчас в теме
(6) файловая и сделали чекдбл утилитой с каталога, судя по "сделали тестирование и исправление" ?
9. user1203706 13 21.11.22 10:44 Сейчас в теме
Есть база до "тестирования и исправления"?
10. Karfogenych 21.11.22 12:18 Сейчас в теме
Похоже придется откатываться к последнему бэкапу.
12. DimGan 15 13.09.23 09:16 Сейчас в теме
Тоже влип. у 1С код ошибки 60004665 - не решена в 21 платформе, нет инфы в 22й. У меня проблема на 22й. Есть подозрение на расширения.
Из нестандартного. Пользователи работали с базой под другим портом. фоновое ставило расширения. ошибка проявилась при попытке выгрузить бд.
13. DimGan 15 13.09.23 09:48 Сейчас в теме
Еще одну штуку нашел. В базе было подключенное но не примененное к бд расширение с реквизитами внутри.
14. DimGan 15 13.09.23 10:56 Сейчас в теме
Восстановили бэкап - там уже была убитая база. взм проблема в автозагрузке заплаток. типа 1С самоубилась
15. DimGan 15 13.09.23 15:24 Сейчас в теме
Здравствуйте!

Ошибка {#60004665#}: При обновлении БД "Внутренняя ошибка: запрещенная комбинация текущей области и указанного поколения"

Исправлена, но версия с исправлением ещё вышла.

С уважением,
отдел тех. поддержки фирмы "1С"
Тел. (495) 956-11-81 (линия ИТС)
(495) 688-10-01 (базовые версии)
16. DimGan 15 14.09.23 10:32 Сейчас в теме
Здравствуйте!


Состояние ошибки можно отследить тут:


https://bugboard.v8.1c.ru/error/000133937


Варианта обхода нет.
17. Veika 25 17.10.23 20:33 Сейчас в теме
У меня сегодня при обновлении Камин 5.0 на платформе 8.3.23.1688 такая же ошибка, что делать?
18. laperuz 46 18.10.23 05:11 Сейчас в теме
(17)
Исправлена: "Технологическая платформа", версия 8.3.23.1912
19. Veika 25 18.10.23 10:06 Сейчас в теме
(18) Платформа 8.3.23.1912 аналогичная ситуация... при принятии изменений вываливается огромнейший перечень и ... сообщение об ошибке...
21. petrobol25 20.10.23 09:32 Сейчас в теме
(19)Получилось решить ситуацию? у меня тоже самое, версия аналогичная
20. user1224013 18.10.23 21:01 Сейчас в теме
Прикол в том что при подключении к новой платформе 1С реструктуризирует базу. И если операция срывается то все ошибка.
И ОТКАТ У 1С не предусмотрен операции этой))) Никаких транзакций!

Не помогла старая платформа платформа. Но все равно удалось починить базу под новую платформу.

А из-за того что у нас в базе место кончилось обновление базы под 8.3.23 не прошла.

Я решил посмотреть в SQL Profiler что запрашивает платформа.

1) Сначала таблица DBSchema
2) Потом сразу таблица SchemaStorage - А там пусто!!!

Удалось в SchemaStorage подгрузить требуемые данные и 8.3.23 открыла базу

0 | 100 | копия из DBSchema | ключ | ключ
Прикрепленные файлы:
22. Veika 25 20.10.23 10:16 Сейчас в теме
(21) нет, пока не решила... база файловая...
23. petrobol25 01.11.23 18:14 Сейчас в теме
(22) Напишите, пожалуйста, как что-нибудь получится. Я в свою очередь тоже отпишусь, если будут продвижения. У меня такая ситуация при обновлении УНФ с 3.0.4.45 до 3.0.5.199. В поддержку писал, ответили лишь, что нужна платформа 8.3.23.1912, но у меня и так она стоит.
25. SVGS 04.11.23 13:22 Сейчас в теме
(23) Когда удалили расширения, то все заработало на платформе 8.3.22.2239.
24. Veika 25 02.11.23 14:47 Сейчас в теме
(23) У нас была проблема в том, что было в ИБ расширение. Провели ТиИ и основной конфигурации и расширения. Далее накатывали обновления последовательно, один за другим, не пропуская... и тьфу-тьфу, все получилось...
Дмитрий74Чел; +1 Ответить
27. pentanom 25 10.12.23 19:04 Сейчас в теме
(24)
(23) У нас была проблема в том, что было в ИБ расширение. Провели ТиИ и основной конфигурации и расширения. Далее накатывали обновления последовательно, один за другим, не пропуская... и тьфу-тьфу, все получилось...
Платформа 8.3.22.2239. У нас УТ 11.5.12.147 (файловая) с расширением. Между релизами были 160, 165, 167.
Попытка обновить на УТ 11.5.12.178. Сходу не получилось.
Сделали chdbfl.exe. Тоже минус.
По всем обновлениям пройти поленился и сделал обновление на 11.5.12.167 (предпоследнее) - прошло!
Следующий шаг на УТ 11.5.12.178 - а это не получилось.

Буду пробовать установить платформу 8.3.22.2283.
28. pentanom 25 11.12.23 16:47 Сейчас в теме
(27)
Буду пробовать установить платформу 8.3.22.2283.
С этой платформой обновление на УТ 11.5.12.178 (+расширение) тоже не проходит :(
Какую ж платформу брать??????????????
26. Alister 9 08.12.23 10:54 Сейчас в теме
Подниму тему: вчера вышло обновление УНФ 3.0.6.100, накатил его на предыдущий релиз 3.0.5.211, платформа 22.2239, вылезла эта ошибка, есть расширение с добавленными метаданными, то есть удалить нельзя, пробовал платформу 23.1912, потом 23.1997, результат прежний... хотя после перезагрузки конфигуратора показывает, что обновление прошло.
29. pentanom 25 11.12.23 19:48 Сейчас в теме
Взял последние три платформы. На каждой попробовал обновить УТ 11.5.12.167 (+ расширение) на УТ 11.5.12.178.
8.3.22.2283 - не работает
8.3.23.1912 - не работает
8.3.23.1997 - не работает
Если нет расширения, то обновляется и на 8.3.22.2239.
Что делать? Удалять расширение нельзя - расширение с добавленными метаданными. А обновиться нужно, т.к. нужно подправить правила переноса из УТ 10.3 с учетом этого расширения.
30. laperuz 46 12.12.23 04:24 Сейчас в теме
(29)Выгрузить метаданные расширения через типовую выгрузку/загрузку XML(которая без правил), удалить расширение, обновиться, установить расширение, загрузить метаданные обратно.
31. pentanom 25 12.12.23 11:33 Сейчас в теме
(30)
Выгрузить метаданные расширения через типовую выгрузку/загрузку XML(которая без правил)
Подскажите, пожалуйста, где ее найти.
33. pentanom 25 12.12.23 14:19 Сейчас в теме
(32)Спасибо! Я не там искал:(

А сегодня выложена новая платформа 8.3.24.1342. С ней обновление конфигурации с расширением проходит.
34. pentanom 25 12.12.23 15:09 Сейчас в теме
(32)У меня, например, в расширении добавлен реквизит табличной части. Получается, что нужно выгружать весь документ? Но если в обновлении что-то делается с этим документом, то что получится в результате? Или я что-то неправильно понял?
35. laperuz 46 12.12.23 17:44 Сейчас в теме
(34)Если расширением модифицирован типовой объект, то да, это сработает только если метаданные этого объекта не поменялись
36. pentanom 25 12.12.23 18:18 Сейчас в теме
(35)
(34)Если расширением модифицирован типовой объект, то да, это сработает только если метаданные этого объекта не поменялись
Значит мне этот вариант не подходит? У меня конфигурация на замке, и я не вижу что меняется в новой конфигурации. Или нужно сначала исследовать изменения.
Ну или дождаться когда общество признает платформу 8.3.24 достаточно стабильной.
37. laperuz 46 12.12.23 18:34 Сейчас в теме
(36)Можно обновиться на 24 платформе, а продолжать работать на текущей, на которой работаете сейчас
Мы так делали на своих облаках, когда с подобной ошибкой столкнулись
38. pentanom 25 12.12.23 19:19 Сейчас в теме
(37)
(36)Можно обновиться на 24 платформе, а продолжать работать на текущей,
Пожалуй так и сделаю.
39. user2035963 10.01.24 23:11 Сейчас в теме
Удалось ли кому-нибудь решить данную проблему?
Установил 24 платформу и тоже не получил нужного результата.
40. abc_id 19.01.24 10:59 Сейчас в теме
Клиент обратился с такой ошибкой. Файловый вариант. Копии баз не делали уже лет 10... Начал анализировать через Tool_1CD, обратил внимание что SchemaStorage пустая... При этом в DBShema всё на месте. В общем после долгих попыток манипуляций, на авось удалил полностью таблицу SchemaStorage. И о чудо!!! База поднялась, зашел в конфигуратор, удалил кучу патчей и прожал бочонок (умерла база со слов клиента как раз во время обновления). База работает, всё на месте. Может информация кому пригодится.
Дмитрий74Чел; +1 Ответить
41. user2025627 19.01.24 14:16 Сейчас в теме
(40)
Удаление SchemaStorage мне не помогло. Также ругается. Уговорил бухгалтеров занести данные в базу на основе другой БД.
42. user1499227 26.01.24 14:48 Сейчас в теме
У меня получилось обновить без ошибок на платформе 8.3.24.1368
43. AndrewPA 31.01.24 09:22 Сейчас в теме
На 8.3.24.1342 после добавления расширения конфигурации и попытки ее сохранить - такая же проблема.
Обошел остановкой регламентных/фоновых заданий - все сохранилось без ошибки.
44. megatrend 130 01.03.24 14:34 Сейчас в теме
Словили сегодня эту ошибку сразу после восстановления базы из архива, в которой сидел пользователь и что-то делал. Восстановление было средствами СУБД Postgre SQL. База заблокирована для входа пользователей в момент восстановления не была.

Решение: заблокировали базу в свойствах консоли ("запрет установления сеансов") и снова восстановили базу из того архива. База починилась!

Релиз платформы 1С 8.3.22.2283.
45. 2C_prog 9 17.03.24 21:12 Сейчас в теме
Убил 2 дня на решение. Комментарий для себя на будущее. Может кому еще пригодится.

Из баг-трекера:
Исправлена: "Технологическая платформа", версия 8.3.22.2283
Исправлена: "Технологическая платформа", версия 8.3.23.1912
Исправлена: "Технологическая платформа", версия 8.3.24.1342
Исправлена: "Технологическая платформа", версия 8.3.25.1072 (для тестирования)

Одно расширение не давало применить обновление, вываливалось с этой ошибкой. Попытка удаления расширения проводило к той-же ошибке. Установка последней платформы результатов не дало само по себе. Ошибка ушла после:
1. Обновления платформы.
2. Выполнения тестирования и исправления. При этом первая итерация тестирования вываливалась тоже с ошибкой (какая - не помню).
3. Потом пришлось чистить кэш.
46. arshanskiyav 30 06.04.24 14:56 Сейчас в теме
(45) Обновлял две файловые БП (релиз от января 2024). Конфигурация изменена. Расширения только собственные, никаких патчей. С 26.10.2023 платформа была 8.3.22.2239 (x64).

Проверил данный метод с платформой 8.3.22.2283. Не прокатило.
Обновил платформу, вычистил кэш, в т.ч. и все кроме файла базы в папке базы.
ТиС выполнилась сразу, но вот таких:

23:49 [1с] Журналы документов. ЖурналОпераций. Проверка уникальности записей
23:49 [1с] В таблице DocumentJournal16983 обнаружены неуникальные записи со значениями полей:
23:49 [1с] Fld1753 = 0
23:49 [1с] Document = 637:84A400155D02980011ED4EC4BD30837C
23:49 [1с] Неуникальность записей устранена


Было очень много.
Запустил обновление и оно выпало в ошибку "запрещенная комбинация текущей области и указанного поколения".

Удалил базу (работаю с копией), удалил кэш. Скопировал с оригинала файл БД. Платформу обновил до 8.3.22.2411
Обновилась без ошибок. Запустил ТиС после обновления до актуального релиза, также получил неуникальные записи.
ТиС проводится после каждого обновления.
Проверил логи обновлений (использую обновлятор) за 12.01.2024 - ошибки неуникальности есть.
Проверил за 26.10.2023 (в этот день была установлена 8.3.22.2239) - ошибок неуникальности нет.
Т.о. ошибки возникли, как мне кажется, после установки указанной платформы
47. Tangram 160 12.04.24 23:16 Сейчас в теме
Поймал такую же ошибку при обновлении КА2 2.5.12.167
Тестирование базы и расширений не помогает.
Платформу поставил 8.3.24.1467
При тестировании расширений находит расширение с ошибкой.
Удалить его нельзя, изменить нельзя, отключить не помогает.
Изменить конфигурацию - тоже нельзя, валится в ту же Внутреннюю ошибку.
48. XOCTEP 116 15.04.24 17:03 Сейчас в теме
Поймал ошибку при обновлении ЗУП, база на PostgreSQL. Платформа была 8.3.23.1865, архивной копии нет, т.к. база была немного битая и админ не мог выгрузить ее средствами СУБД. Какие есть варианты решения проблемы? Ни конфигуратор, ни предприятие не открывается. Обновил платформу на 8.3.23.2157 - результата нет. Обслуживание БД ср-вами PG делал, таблицу SchemaStorage удалял, ничего не помогает. Хотел выгрузить данные с базы через COM-соединение, но получаю такую же ошибку. Может есть способы выгрузить информацию из таблиц СУБД напрямую в другую чистую базу?
49. DenisMedvedev 16.05.24 16:59 Сейчас в теме
Ошибка вылезла при обновлении файловой БП 3.0.147.30, платформа 8.3.22.2283. Поставил платформу 8.3.22.2501, создал пустую базу, залил dt-шник, удалил все пачти. После этого все обновилось.
Оставьте свое сообщение

Для получения уведомлений об ответах подключите телеграм бот:
Инфостарт бот